
Packaging - Bug #17064

Foreman installer broken on Ubuntu Xenial

10/23/2016 11:26 AM - Alexey Zilber

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Fresh OS install.  I install ChefDK, then Puppet, the Foreman as per the wiki.

I get:

/opt/puppetlabs/puppet/bin/puppet:5:in `<main>'

 /Stage[main]/Foreman::Plugin::Setup/Foreman::Plugin[setup]/Package[ruby-foreman-setup]/ensure: ch

ange from purged to present failed: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--forc

e-confold install ruby-foreman-setup' returned 100: Reading package lists...

Building dependency tree...

Reading state information...

You might want to run 'apt-get -f install' to correct these:

The following packages have unmet dependencies:

 ruby-dynflow : Depends: ruby-concurrent-ruby-edge (>= 0.2.0) but it is not going to be installed

                Depends: ruby-concurrent-ruby-edge (< 1.0.0) but it is not going to be installed

E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Installing             Done                                               [100%] [................

..................................................................................................

.......]

  Something went wrong! Check the log for ERROR-level output

Related issues:

Related to Packaging - Bug #16898: Dependency problems with foreman-installer Closed 10/12/2016

History

#1 - 10/23/2016 12:29 PM - Anonymous

- Project changed from Installer to Packaging

- Category changed from foreman-installer script to Debian/Ubuntu

- Status changed from New to Assigned

- Priority changed from High to Normal

- Difficulty deleted (trivial)

- Assignee set to Anonymous

#2 - 10/23/2016 12:29 PM - Anonymous

- Related to Bug #16898: Dependency problems with foreman-installer added

#3 - 10/23/2016 02:20 PM - Anonymous

Please install https://stagingdeb.theforeman.org/pool/xenial/theforeman-1.13/r/ruby-dynflow/ruby-dynflow_0.8.15-2_all.deb, re-run the installer and

report back.

#4 - 10/26/2016 02:42 AM - Anonymous

- Status changed from Assigned to Feedback
https://stagingdeb.theforeman.org/pool/xenial/theforeman-1.13/r/ruby-dynflow/ruby-dynflow_0.8.15-2_all.deb


Alexey, any news here?

#5 - 05/14/2017 02:36 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
